Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 267193 - app-office/scribus-1.3.5.1 version bump
Summary: app-office/scribus-1.3.5.1 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Highest normal (vote)
Assignee: Hanno Böck
URL: http://www.scribus.net/?q=node/193
Whiteboard:
Keywords: EBUILD, InVCS
: 281995 283151 (view as bug list)
Depends on: 140557 283119 283151 288842
Blocks: 283429
  Show dependency tree
 
Reported: 2009-04-23 12:11 UTC by Tim Harder
Modified: 2010-01-06 19:35 UTC (History)
15 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
scribus-1.3.5_beta.ebuild (scribus-1.3.5_beta.ebuild,1.38 KB, text/plain)
2009-04-23 12:24 UTC, Tim Harder
Details
scribus-1.3.5-fpic.patch (scribus-1.3.5-fpic.patch,563 bytes, patch)
2009-04-23 12:25 UTC, Tim Harder
Details | Diff
RC3, slightly different scribus ebuild (scribus-1.3.5_rc3.ebuild,2.56 KB, text/plain)
2009-07-12 13:07 UTC, Andreas Sturmlechner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Harder gentoo-dev 2009-04-23 12:11:54 UTC
A beta version of Scribus 1.3.5 has been released.

Note that this version of Scribus also requires media-libs/podofo for which an ebuild can be found at bug #140557.
Comment 1 Tim Harder gentoo-dev 2009-04-23 12:24:04 UTC
Created attachment 189229 [details]
scribus-1.3.5_beta.ebuild

Initial draft ebuild for scribus-1.3.5_beta. The dependencies could use more work.

This ebuild requires the patch posted below for building properly on amd64. Also, note that I've only tested this ebuild on amd64 and x86 architectures.
Comment 2 Tim Harder gentoo-dev 2009-04-23 12:25:56 UTC
Created attachment 189230 [details, diff]
scribus-1.3.5-fpic.patch

Patch to fix fPIC issue on amd64 with scribus-1.3.5_beta.
Comment 3 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-04-24 09:34:22 UTC
There's an ebuild available at the kde-testing overlay.
Comment 4 Tim Harder gentoo-dev 2009-04-24 09:41:58 UTC
(In reply to comment #3)
> There's an ebuild available at the kde-testing overlay.

Thanks, I didn't know it was there. It looks better than my quickly hacked ebuild.

Comment 5 Tim Harder gentoo-dev 2009-04-24 09:55:57 UTC
(In reply to comment #3)
> There's an ebuild available at the kde-testing overlay.

Well, after actually testing it, it looks mostly better...

Currently, it breaks for me on amd64 due to the fPIC issue with the lib2geom library. The patch I posted above fixes the issue by compiling the lib2geom library with -fPIC, but there is probably a better way of fixing the problem and getting that into upstream.

It's kind of ironic that the CMakeLists.txt file related to lib2geom that needs to be patched has a comment stating what they should do and links to gentoo docs, but they don't fix the problem. ;)
Comment 6 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-04-24 09:59:55 UTC
I just noticed the relocation here as well.
As you said, the correct solution is not to build with forced -fPIC, but to build the linked lib as a shared object.
Comment 7 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-04-24 10:10:28 UTC
I just noticed this "little pearl" in the CMakeLists.txt

OPTION(2GEOM_BUILD_SHARED
  "Build lib2geom and libtoy as shared libraries."
  OFF)
SET(LIB_TYPE STATIC)

They set it to static and then are surprised by the relocation?
Comment 8 Tim Harder gentoo-dev 2009-04-24 10:18:51 UTC
Also both app-text/podofo and scribus need something like the following:

if use amd64 ; then
    mycmakeargs="${mycmakeargs} -DWANT_LIB64:BOOL=TRUE"
fi

in their src_configure (or src_compile for non-EAPI 2) phase so libraries get
installed in the correct place on amd64 and the builds don't fail. Is there a
better place to report bugs like this for the kde overlay?
Comment 9 Tim Harder gentoo-dev 2009-04-24 10:20:50 UTC
(In reply to comment #7)
> I just noticed this "little pearl" in the CMakeLists.txt
> 
> OPTION(2GEOM_BUILD_SHARED
>   "Build lib2geom and libtoy as shared libraries."
>   OFF)
> SET(LIB_TYPE STATIC)
> 
> They set it to static and then are surprised by the relocation?

Yeah, I thought it was funny that they stated what they should do above that and then didn't set that as default. Ah well, just add that flag to the ebuild and we're good.
Comment 10 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-04-24 10:31:58 UTC
(In reply to comment #8)
> Also both app-text/podofo and scribus need something like the following:
> 
> if use amd64 ; then
>     mycmakeargs="${mycmakeargs} -DWANT_LIB64:BOOL=TRUE"
> fi
> 
> in their src_configure (or src_compile for non-EAPI 2) phase so libraries get
> installed in the correct place on amd64 and the builds don't fail. Is there a
> better place to report bugs like this for the kde overlay?

You can report bugs in the kde-testing overlay right here in bugzilla. As we're looking at an ebuild in the overlay, I'm adding the kde team.
One point though, this are upstream bugs and not Gentoo bugs, so they'll have to be reported and fixed by upstream in the end.
Comment 11 Tim Harder gentoo-dev 2009-04-24 10:49:24 UTC
(In reply to comment #10)
> You can report bugs in the kde-testing overlay right here in bugzilla. As we're
> looking at an ebuild in the overlay, I'm adding the kde team.

Ok, thanks.

Another change that should be made to the scribus ebuild is adding the flag -DWANT_NORPATH:BOOL=TRUE to the mycmakeargs list. Without it, newer versions of portage output a lot of rpath security warnings.
Comment 12 Tomáš Chvátal (RETIRED) gentoo-dev 2009-04-24 18:13:40 UTC
Sorry i found this bug bit late ;]
Well anyway enjoy working ebuild from kde-testing and report if something is screwed with it.
Comment 13 Andreas Sturmlechner gentoo-dev 2009-06-29 20:40:59 UTC
I just wanted to report that scribus-1.3.5-rc2 is available: http://www.scribus.net/?q=node/185

:)
Comment 14 Andreas Sturmlechner gentoo-dev 2009-06-29 21:27:44 UTC
(In reply to comment #13)
> I just wanted to report that scribus-1.3.5-rc2 is available:
> http://www.scribus.net/?q=node/185
> 
> :)

Works just by renaming the 1.3.5_beta ebuild. What I tested/what worked: emerging, opening a project, saving it, opening it again. Looks quite a bit more polished too.
Comment 15 Andreas Sturmlechner gentoo-dev 2009-07-06 18:41:23 UTC
*bumpedibump* ;)

A good reason to report a problem that exists since scribus-1.3.5_beta; revdep-rebuild always reports:

*   broken /usr/lib64/scribus/plugins/libmeshdistortion.so (requires lib2geom.so)
*   broken /usr/lib64/scribus/plugins/libpathalongpath.so (requires lib2geom.so)

Recompiling doesn't solve the problem.
Comment 16 Marian Kyral 2009-07-07 18:32:40 UTC
(In reply to comment #14)
> (In reply to comment #13)
> > I just wanted to report that scribus-1.3.5-rc2 is available:
> > http://www.scribus.net/?q=node/185
> > 
> > :)
> 
> Works just by renaming the 1.3.5_beta ebuild. What I tested/what worked:
> emerging, opening a project, saving it, opening it again. Looks quite a bit
> more polished too.
> 

I'm not able to build it. Fails on:
PoDoFo NOT found - Disabling support for PDF embedded in AI  
...
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:          
LIBPODOFO_INCLUDE_DIR    

I have podofo-0.7 installed:
# eix podofo                                                                      
[I] app-text/podofo [1]                                                                                       
     Available versions:  (~)0.7.0 {boost debug test}                                                         
     Installed versions:  0.7.0(17:19:28 04/24/09)(boost -debug -test)                                        
     Homepage:            http://sourceforge.net/projects/podofo/                                             
     Description:         PoDoFo is a C++ library to work with the PDF file format.    

But re-emerge fails on:
# emerge -1av app-text/podofo

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] app-text/podofo-0.7.0  USE="boost -debug -test" 0 kB [1]

Total: 1 package (1 reinstall), Size of downloads: 0 kB
Portage tree and overlays:                             
 [0] /usr/portage                                      
 [1] /usr/local/portage/layman/kde-testing             

Would you like to merge these packages? [Yes/No] 

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) app-text/podofo-0.7.0 from kde
 * podofo-0.7.0.tar.gz RMD160 SHA1 SHA256 size ;-) ...                                                                                                                                             [ ok ]
 * checking ebuild checksums ;-) ...                                                                                                                                                               [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                                                                              [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                                                                             [ ok ]
>>> Unpacking source...                                                                                                                                                                                  
>>> Unpacking podofo-0.7.0.tar.gz to /var/tmp/portage/app-text/podofo-0.7.0/work                                                                                                                         
>>> Source unpacked in /var/tmp/portage/app-text/podofo-0.7.0/work                                                                                                                                       
>>> Preparing source in /var/tmp/portage/app-text/podofo-0.7.0/work/podofo-0.7.0 ...                                                                                                                     
 * Fixing insane build system ...                                                                                                                                                                   [ ok ]
>>> Source prepared.                                                                                                                                                                                      
>>> Configuring source in /var/tmp/portage/app-text/podofo-0.7.0/work/podofo-0.7.0 ...                                                                                                                    
>>> Working in BUILD_DIR: "/var/tmp/portage/app-text/podofo-0.7.0/work/podofo-0.7.0_build"                                                                                                                
loading initial cache file /var/tmp/portage/app-text/podofo-0.7.0/temp/gentoo_common_config.cmake                                                                                                         
-- The C compiler identification is GNU                                                                                                                                                                   
-- The CXX compiler identification is GNU                                                                                                                                                                 
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc                                                                                                                                         
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works                                                                                                                                
-- Detecting C compiler ABI info                                                                                                                                                                          
-- Detecting C compiler ABI info - done                                                                                                                                                                   
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++                                                                                                                                       
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works                                                                                                                              
-- Detecting CXX compiler ABI info                                                                                                                                                                        
-- Detecting CXX compiler ABI info - done                                                                                                                                                                 
WANT_LIB64 unset; assuming normal library directory names                                                                                                                                                 
Will install libraries to /usr/lib64                                                                                                                                                                      
-- Check if the system is big endian                                                                                                                                                                      
-- Searching 16 bit integer                                                                                                                                                                               
-- Looking for sys/types.h                                                                                                                                                                                
-- Looking for sys/types.h - found                                                                                                                                                                        
-- Looking for stdint.h                                                                                                                                                                                   
-- Looking for stdint.h - found                                                                                                                                                                           
-- Looking for stddef.h                                                                                                                                                                                   
-- Looking for stddef.h - found                                                                                                                                                                           
-- Check size of unsigned short                                                                                                                                                                           
-- Check size of unsigned short - done                                                                                                                                                                    
-- Using unsigned short                                                                                                                                                                                   
-- Check if the system is big endian - little endian                                                                                                                                                      
Using gcc specific compiler options                                                                                                                                                                       
-- Found ZLIB: /lib64/libz.so                                                                                                                                                                             
Found zlib headers in /usr/include, library at /lib64/libz.so                                                                                                                                             
-- Found LIBJPEG: /usr/lib64/libjpeg.so                                                                                                                                                                   
Found libjpeg headers in /usr/include, library at /usr/lib64/libjpeg.so                                                                                                                                   
-- Found TIFF: /usr/lib64/libtiff.so                                                                                                                                                                      
Found libtiff headers in /usr/include, library at /usr/lib64/libtiff.so                                                                                                                                   
-- Ensure you cppunit installed version is at least 1.12.0                                                                                                                                                
Cppunit not found. No unit tests will be built.                                                                                                                                                           
-- Found OpenSSL: /usr/lib64/libssl.so                                                                                                                                                                    
Found openssl. Signature support will be build.                                                                                                                                                           
Found freetype library at /usr/lib64/libfreetype.so, headers /usr/include/freetype2;/usr/include                                                                                                          
CMake Error at CMakeLists.txt:230 (MESSAGE):                                                                                                                                                              
  STLPort use requested, but STLPort not found.                                                                                                                                                           


-- Configuring incomplete, errors occurred!
 *                                         
 * ERROR: app-text/podofo-0.7.0 failed.    
 * Call stack:                             
 *               ebuild.sh, line   49:  Called src_configure
 *             environment, line 2885:  Called cmake-utils_src_configure
 *             environment, line  798:  Called die                      
 * The specific snippet of code:                                        
 *       cmake ${cmakeargs} "${CMAKE_USE_DIR}" || die "cmake failed";   
 *  The die message:                                                    
 *   cmake failed                                                       
 *                                                                      
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/app-text/podofo-0.7.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-text/podofo-0.7.0/temp/environment'.
 * This ebuild is from an overlay named 'kde': '/usr/local/portage/layman/kde-testing/'                
 *                                                                                                     

Any hint?

Comment 17 Marian Kyral 2009-07-07 18:33:19 UTC
# emerge --info
Portage 2.2_rc33 (default/linux/amd64/2008.0/desktop, gcc-4.3.3, glibc-2.10.1-r0, 2.6.30-gentoo-r1 x86_64)
=================================================================
System uname: Linux-2.6.30-gentoo-r1-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T7250_@_2.00GHz-with-gentoo-2.0.1
Timestamp of tree: Tue, 07 Jul 2009 17:00:01 +0000
app-shells/bash:     4.0_p24
dev-java/java-config: 1.3.7-r1, 2.1.8-r1
dev-lang/python:     2.5.4-r2, 2.6.2-r1
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    2.0
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/var/portage/distfiles/"
EMERGE_DEFAULT_OPTS="--keep-going"
FEATURES="distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch userpriv"
GENTOO_MIRRORS="http://gentoo.mirror.web4u.cz/ http://gentoo.supp.name"
LANG="cs_CZ.utf8"
LDFLAGS="-Wl,-O1"
LINGUAS="cs"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--quiet"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/kde-testing /usr/local/portage/layman/sunrise /usr/local/portage/layman/qting-edge /usr/local/portage/layman/arcon /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 bash-completion berkdb branding bzip2 cairo cddb cdparanoia cdr cli cracklib css cups curl dbus dri dts dv dvd dvdr dvdread emboss encode enscript exif fam ffmpeg firefox flac foomaticdb fortran ftp gdbm gif gimp gnutls gpm gstreamer gtkhtml hal iconv ieee1394 imagemagick ipv6 isdnlog jabber jpeg kde lame lcms libnotify lzo mad matroska mbox midi mikmod mime mjpeg mmx mng mp3 mpeg mplayer mudflap multilib musepack mysql ncurses nls nptl nptlonly nsplugin ntpl ogg openal opengl openmp pam pcre pdf perl png posix ppds pppd python qt3 qt3support qt4 quicktime raw readline reflection rss sdl session slang smp sox spell spl sqlite sse sse2 ssl startup-notification svg sysfs syslog taglib tcpd theora threads tidy tiff truetype unicode usb vcd vorbis wavpack webkit wifi wmf wxwindows x264 xcomposite xine xml xorg xosd xpm xscreensaver xsl xulrunner xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="cs" USERLAND="GNU" VIDEO_CARDS="nv nvidia vesa"
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS
Comment 18 Andreas Sturmlechner gentoo-dev 2009-07-12 13:07:13 UTC
Created attachment 197639 [details]
RC3, slightly different scribus ebuild

*bump*

scribus-1.3.5_rc3 out now!
Comment 19 Andreas Sturmlechner gentoo-dev 2009-07-12 14:04:54 UTC
(In reply to comment #18)
> Created an attachment (id=197639) [edit]
> RC3, slightly different scribus ebuild
> 

fyi, the ebuild is from kde-testing overlay and works by just renaming it from rc2 to rc3.
Comment 20 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-08-25 17:52:24 UTC
*** Bug 281995 has been marked as a duplicate of this bug. ***
Comment 21 Thomas Bettler 2009-08-26 05:28:47 UTC
final version out now...
Comment 22 Andreas Sturmlechner gentoo-dev 2009-08-26 09:47:44 UTC
nice. revdep-rebuild bug still exists though... or is it only me experiencing it?
Comment 23 Erik Zeek 2009-11-19 21:37:40 UTC
(In reply to comment #22)
> nice. revdep-rebuild bug still exists though... or is it only me experiencing
> it?
> 

It's not just you.  Bug #283119 is still open.
Comment 24 Ben de Groot (RETIRED) gentoo-dev 2009-12-16 14:03:59 UTC
We need this in portage!
Comment 25 Justin Lecher (RETIRED) gentoo-dev 2009-12-26 15:05:05 UTC
@qt
You said, if maintainer won't react you will take care of it. Will you?
Comment 26 Ben de Groot (RETIRED) gentoo-dev 2009-12-26 16:09:43 UTC
(In reply to comment #25)
> @qt
> You said, if maintainer won't react you will take care of it. Will you?

Yes. We contacted Hanno (the maintainer) and he said he'd try to work on it during the Xmas holidays. So we'll give him another week.
Comment 27 Hanno Böck gentoo-dev 2009-12-26 17:24:06 UTC
Hi, I'm very willing to commit this as soon as there's a working ebuild. Though the one that's in kde-overlay now is terribly broken, it will cause scribus to moan about several broken plugins on every start and will create packages linked to non-installed libraries. In this state, I don't think we want to have this in the tree.
I looked into it and it seems not trivial to fix. If you want to do something useful, provide patches.
Comment 28 Ben de Groot (RETIRED) gentoo-dev 2009-12-28 06:25:54 UTC
Marking as high-priority bug for Qt team.
Comment 29 Ben de Groot (RETIRED) gentoo-dev 2010-01-05 02:34:02 UTC
*** Bug 283151 has been marked as a duplicate of this bug. ***
Comment 30 Ben de Groot (RETIRED) gentoo-dev 2010-01-05 02:36:26 UTC
Depending bug 288842 has a patch for a python-3 issue.
Comment 31 Samuli Suominen (RETIRED) gentoo-dev 2010-01-05 20:51:15 UTC
I've started working on this. First step,

dev-libs/hyphen is now in portage, and here's the patches to unbundle it from scribus, 

http://cvs.fedoraproject.org/viewvc/rpms/scribus/devel/
Comment 32 Samuli Suominen (RETIRED) gentoo-dev 2010-01-06 18:57:46 UTC
This is working for me, http://dev.gentoo.org/~ssuominen/scribus/
Comment 33 Samuli Suominen (RETIRED) gentoo-dev 2010-01-06 19:35:09 UTC
In portage.